fixtoi(3)

NAME
fixtoi - Converts a fixed point to integer with rounding. Allegro game programming library.

SYNOPSIS
#include <allegro.h>

int fixtoi(fixed x);

DESCRIPTION
Converts fixed point to integer, rounding as required to the nearest integer. Example:
   int result;
   /* This will put 33 into `result'. */
   result = fixtoi(itofix(100) / 3);
   /* But this will round up to 17. */
   result = fixtoi(itofix(100) / 6);

SEE ALSO
itofix(3), ftofix(3), fixtof(3), fixfloor(3), fixceil(3), ex12bit(3), ex3buf(3), ex3d(3), exblend(3), excustom(3), exlights(3), exspline(3), exstars(3), exupdate(3)